DELETE FROM port_fail_patterns WHERE Port_Fail_Pattern_Id % 100 = 0 OR Port_Fail_Pattern_Id = 2147483647;

UPDATE config SET Config_Option_Value='2.3.2' WHERE Config_Option_Name='__DSVERSION__';

INSERT INTO port_fail_reasons VALUES ('compat6x', 'This port relies on libraries from FreeBSD 6.X, and the compat6x package is not installed.  A dependency to misc/compat6x must be added.', 'RARE');

INSERT INTO port_fail_patterns VALUES (0, '.*', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (100, 'list of extra files and directories', 'mtree', 0);
INSERT INTO port_fail_patterns VALUES (200, 'See <URL:http://gcc.gnu.org/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (300, 'See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (400, 'Checksum mismatch', 'checksum', 0);
INSERT INTO port_fail_patterns VALUES (500, '/usr/local/bin/(perl|perl5.6.1):.*(not found|No such file or directory)', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (600, 'perl(.*): Perl is not installed, try .pkg_add -r perl.', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (700, 'cannot find -lc_r', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (800, 'checking for.*lc_r\\.\\.\\. no', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (900, '(No checksum recorded for|(Maybe|Either) .* is out of date, or)', 'distinfo_update', 0);
INSERT INTO port_fail_patterns VALUES (1000, 'checking whether apxs works.*apxs: not found', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (1100, 'Configuration .* not supported', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (1200, '(configure: error:|Script.*configure.*failed unexpectedly|script.*failed: here are the contents of)', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (1300, 'configure: error: cpu .* not supported', 'arch', 1200);
INSERT INTO port_fail_patterns VALUES (1400, 'configure: error: (This program requires STL to compile|One or more.*STL headers are missing)', 'stl', 1200);
INSERT INTO port_fail_patterns VALUES (1500, 'configure: error: [Pp]erl (5.* required|version too old)', 'perl', 1200);
INSERT INTO port_fail_patterns VALUES (1600, '.*', 'configure_error', 1200);
INSERT INTO port_fail_patterns VALUES (1700, 'Couldn.t fetch it - please try', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (1800, 'out of .* hunks .*--saving rejects to', 'patch', 0);
INSERT INTO port_fail_patterns VALUES (1900, 'Error: category .* not in list of valid categories', 'CATEGORIES', 0);
INSERT INTO port_fail_patterns VALUES (2000, 'read-only file system', 'WRKDIR', 0);
INSERT INTO port_fail_patterns VALUES (2100, 'Error: shared library ".*" does not exist', 'LIB_DEPENDS', 0);
INSERT INTO port_fail_patterns VALUES (2200, '.*\\.h: No such file', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (2300, '(X11/.*|Xosdefs)\\.h: No such file', '__parent__', 2200);
INSERT INTO port_fail_patterns VALUES (2400, 'XFree86-.*\\.tgz', 'missing_header', 2300);
INSERT INTO port_fail_patterns VALUES (2500, '.*', 'USE_XLIB', 2300);
INSERT INTO port_fail_patterns VALUES (2600, '.*', 'missing_header', 2200);
INSERT INTO port_fail_patterns VALUES (2700, 'pnohang: killing make checksum', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (2800, 'USER   PID  PPID  PGID JOBC STAT  TT       TIME COMMAND', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (2900, 'pnohang: killing make package', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (3000, 'pkg_(add|create):.*(can.t find enough temporary space|projected size of .* exceeds available free space)', 'disk_full', 0);
INSERT INTO port_fail_patterns VALUES (3100, '(parse error|too (many|few) arguments to|argument.*doesn.*prototype|incompatible type for argument|conflicting types for|undeclared \\(first use (in |)this function\\)|incorrect number of parameters|has incomplete type and cannot be initialized|error: storage size.* isn.t known)', 'compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (3200, '(ANSI C.. forbids|is a contravariance violation|changed for new ANSI .for. scoping|[0-9]: passing .* changes signedness|discards qualifiers|lacks a cast|redeclared as different kind of symbol|invalid type .* for default argument to|wrong type argument to unary exclamation mark|duplicate explicit instantiation of|incompatible types in assignment|assuming . on overloaded member function|call of overloaded .* is ambiguous|declaration of C function .* conflicts with|initialization of non-const reference type|using typedef-name .* after|[0-9]: implicit declaration of function|[0-9]: size of array .* is too large|fixed or forbidden register .* for class|assignment of read-only variable|error: label at end of compound statement|error:.*(has no|is not a) member|error:.*is (private|protected)|error: uninitialized member|error: unrecognized command line option)', 'new_compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (3300, '(syntax error before|ISO C\\+\\+ forbids|friend declaration|no matching function for call to|.main. must return .int.|invalid conversion from|cannot be used as a macro name as it is an operator in C\\+\\+|is not a member of type|after previous specification in|no class template named|because worst conversion for the former|better than worst conversion|no match for.*operator|no match for call to|undeclared in namespace|is used as a type, but is not|error: array bound forbidden|error: class definition|error: expected constructor|error: there are no arguments|error:.*cast.*loses precision|ISO C\\+\\+ does not support)', 'bad_C++_code', 0);
INSERT INTO port_fail_patterns VALUES (3400, '(/usr/libexec/elf/ld: cannot find|undefined reference to|cannot open -l.*: No such file)', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (3500, 'chown:.*[Ii]nvalid argument', 'chown', 0);
INSERT INTO port_fail_patterns VALUES (3600, 'install: .*: No such file', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (3700, 'install: /usr/local/www/cgi-bin.*No such file or directory', 'cgi-bin', 3600);
INSERT INTO port_fail_patterns VALUES (3800, '.*', 'install_error', 3600);
INSERT INTO port_fail_patterns VALUES (3900, '/usr/.*/man/.*: No such file or directory', 'manpage', 0);
INSERT INTO port_fail_patterns VALUES (4000, '(Can.t|unable to) open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (4100, 'conflicts with installed package', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (4200, ' is already installed - perhaps an older version', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (4300, 'You may wish to ..make deinstall.. and install this port again', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (4400, 'error in dependency .*, exiting', 'depend_package', 0);
INSERT INTO port_fail_patterns VALUES (4500, 'core dumped', 'coredump', 0);
INSERT INTO port_fail_patterns VALUES (4600, 'Segmentation fault', 'segfault', 0);
INSERT INTO port_fail_patterns VALUES (4700, 'initializer element is not constant', 'stdio', 0);
INSERT INTO port_fail_patterns VALUES (4800, 'structure has no member named', 'struct_changes', 0);
INSERT INTO port_fail_patterns VALUES (4900, 'Error: alignment not a power of 2', 'alignment', 0);
INSERT INTO port_fail_patterns VALUES (5000, 'bin.apxs:(.)(not found|No such file or directory)', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (5100, 'failed to exec .*bin/apxs', 'apxs', 0);
INSERT INTO port_fail_patterns VALUES (5200, '.s: Assembler messages:', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5300, 'Cannot (determine .* target|find the byte order) for this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5400, '^cc1: bad value.*for -mcpu.*switch', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5500, 'could not read symbols: File in wrong format', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5600, '[Ee]rror: [Uu]nknown opcode', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5700, 'error.*Unsupported architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5800, 'ENDIAN must be defined 0 or 1', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (5900, 'failed to merge target-specific data', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6000, '(file not recognized|failed to set dynamic section sizes): File format not recognized', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6100, 'impossible register constraint', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6200, 'inconsistent operand constraints in an .asm', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6300, 'Invalid configuration.*unknown.*machine.*unknown not recognized', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6400, 'invalid lvalue in asm statement', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6500, 'is only for.*, and you are running', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6600, 'not a valid 64 bit base/index expression', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6700, 'relocation R_X86_64_32.*can not be used when making a shared object', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6800, 'relocation truncated to fit: ', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (6900, 'shminit failed: Function not implemented', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7000, 'The target cpu, .*, is not currently supported.', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7100, 'This architecture seems to be neither big endian nor little endian', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7200, 'unknown register name', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7300, 'Unable to correct byte order', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7400, 'Unsupported platform, sorry', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7500, 'won.t run on this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (7600, '#error .Cannot compile:', 'assert', 0);
INSERT INTO port_fail_patterns VALUES (7700, 'autoconf(.*): not found', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (7800, 'autoconf(.*): No such file or directory', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (7900, 'autoheader: not found', 'autoheader', 0);
INSERT INTO port_fail_patterns VALUES (8000, 'automake(.*): not found', 'automake', 0);
INSERT INTO port_fail_patterns VALUES (8100, '/usr/local/www/cgi-bin does not exist', 'cgi-bin', 0);
INSERT INTO port_fail_patterns VALUES (8200, 'Shared object \\"libc.so.6\\" not found, required by', 'compat6x', 0);
INSERT INTO port_fail_patterns VALUES (8300, 'Cannot open /dev/tty for read', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (8400, 'RuntimeError: cannot open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (8500, 'You must run this program under the X-Window System', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (8600, 'Member name contains .\\.\\./', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (8700, 'fetch: transfer timed out', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (8800, 'fetch: transfer timed out', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (8900, 'Run-time system build failed for some reason', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (9000, 'tar: Error opening archive: Failed to open.*No such file or directory', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (9100, 'cc: .*libintl.*: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9200, 'cc: ndbm\\.so: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9300, 'error: The X11 shared library could not be loaded', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9400, 'libtool: link: cannot find the library', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9500, 'relocation against dynamic symbol', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9600, 'Shared object.*not found, required by', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (9700, 'Could not create Makefile', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (9800, 'regression-test.continuing', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (9900, 'make.*(cannot open [Mm]akefile|don.t know how to make|fatal errors encountered|No rule to make target|built-in)', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (10000, 'make.*(cannot open [Mm]akefile|don.t know how to make|fatal errors encountered|No rule to make target|built-in)', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (10100, '(Error: mtree file ./etc/mtree/BSD.local.dist. is missing|error in pkg_delete|filesystem was touched prior to .make install|list of files present before this port was installed|list of filesystem changes from before and after)', 'mtree', 0);
INSERT INTO port_fail_patterns VALUES (10200, 'cp:.*site_perl: No such file or directory', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (10300, 'Perl .* required--this is only version', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (10400, 'BEGIN failed--compilation aborted at ..Makefile.PL line', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (10500, 'Abort trap', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (10600, 'Bus error', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (10700, 'Signal 1[01]', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (10800, 'python: not found', 'python', 0);
INSERT INTO port_fail_patterns VALUES (10900, ': The -pthread option is deprecated', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11000, 'Error: pthreads are required to build this package', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11100, 'Please install/update your POSIX threads (pthreads) library', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11200, 'requires.*thread support', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11300, '/usr/bin/ld: cannot find -lpthread', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11400, '/usr/bin/ld: cannot find -lXThrStub', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (11500, '<varargs.h> is obsolete with this version of GCC', 'varargs', 0);
INSERT INTO port_fail_patterns VALUES (11600, '(gmake:.*Error [12]|tar: Error exit delayed from previous errors)', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (11700, 'Cannot stat: ', 'configure_error', 0);
INSERT INTO port_fail_patterns VALUES (11800, '/usr/bin/ld: cannot find -l', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (11900, 'cd: can.t cd to', 'NFS', 0);
INSERT INTO port_fail_patterns VALUES (12000, 'pkg_create: make_dist: tar command failed with code', 'PLIST', 0);
INSERT INTO port_fail_patterns VALUES (2147483647, '.*', '???', 0);
