DELETE FROM port_fail_patterns WHERE Port_Fail_Pattern_Id % 100 = 0 OR Port_Fail_Pattern_Id = 2147483647;

UPDATE config SET Config_Option_Value='2.3.3' WHERE Config_Option_Name='__DSVERSION__';
INSERT INTO config VALUES ('OPTIONS_ENABLED', '0', -1);
INSERT INTO config VALUES ('OPTIONS_DIR', '', -1);

INSERT INTO port_fail_reasons VALUES ('gcc4_error', 'Your code does not run with the latest gcc version (pending import to -CURRENT). See http://wiki.freebsd.org/gcc4 for further information.', 'COMMON');
INSERT INTO port_fail_reasons VALUES ('sysvipc', 'Your port is interacting badly with the System V InterProcess Communication code.', 'RARE');

INSERT INTO port_fail_patterns VALUES (0, '.*', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (100, 'list of extra files and directories', 'mtree', 0);
INSERT INTO port_fail_patterns VALUES (200, '(Error: mtree file ./etc/mtree/BSD.local.dist. is missing|error in pkg_delete|filesystem was touched prior to .make install|list of files present before this port was installed|list of filesystem changes from before and after)', 'mtree', 0);
INSERT INTO port_fail_patterns VALUES (300, 'Configuration .* not supported', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (400, '(configure: error:|Script.*configure.*failed unexpectedly|script.*failed: here are the contents of)', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (500, 'configure: error: cpu .* not supported', 'arch', 400);
INSERT INTO port_fail_patterns VALUES (600, 'configure: error: [Pp]erl (5.* required|version too old)', 'perl', 400);
INSERT INTO port_fail_patterns VALUES (700, '.*', 'configure_error', 400);
INSERT INTO port_fail_patterns VALUES (800, 'Couldn.t fetch it - please try', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (900, 'Error: shared library ".*" does not exist', 'LIB_DEPENDS', 0);
INSERT INTO port_fail_patterns VALUES (1000, '\\.(c|cc|cxx|cpp|h|y)[1-9:]+ .+\\.h: No such file', '__parent__', 0);
INSERT INTO port_fail_patterns VALUES (1100, '(X11/.*|Xosdefs)\\.h: No such file', '__parent__', 1000);
INSERT INTO port_fail_patterns VALUES (1200, 'XFree86-.*\\.tgz', 'missing_header', 1100);
INSERT INTO port_fail_patterns VALUES (1300, '.*', 'USE_XLIB', 1100);
INSERT INTO port_fail_patterns VALUES (1400, '.*', 'missing_header', 1000);
INSERT INTO port_fail_patterns VALUES (1500, '(parse error|too (many|few) arguments to|argument.*doesn.*prototype|incompatible type for argument|conflicting types for|undeclared \\(first use (in |)this function\\)|incorrect number of parameters|has incomplete type and cannot be initialized|error: storage size.* isn.t known)', 'compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (1600, '(ANSI C.. forbids|is a contravariance violation|changed for new ANSI .for. scoping|[0-9]: passing .* changes signedness|discards qualifiers|lacks a cast|redeclared as different kind of symbol|invalid type .* for default argument to|wrong type argument to unary exclamation mark|duplicate explicit instantiation of|incompatible types in assignment|assuming . on overloaded member function|call of overloaded .* is ambiguous|declaration of C function .* conflicts with|initialization of non-const reference type|using typedef-name .* after|[0-9]: implicit declaration of function|[0-9]: size of array .* is too large|fixed or forbidden register .* for class|assignment of read-only variable|error: label at end of compound statement|error:.*(has no|is not a) member|error:.*is (private|protected)|error: uninitialized member|error: unrecognized command line option)', 'new_compiler_error', 0);
INSERT INTO port_fail_patterns VALUES (1700, '(syntax error before|ISO C\\+\\+ forbids|friend declaration|no matching function for call to|.main. must return .int.|invalid conversion from|cannot be used as a macro name as it is an operator in C\\+\\+|is not a member of type|after previous specification in|no class template named|because worst conversion for the former|better than worst conversion|no match for.*operator|no match for call to|undeclared in namespace|is used as a type, but is not|error: array bound forbidden|error: class definition|error: expected constructor|error: there are no arguments|error:.*cast.*loses precision|ISO C\\+\\+ does not support)', 'bad_C++_code', 0);
INSERT INTO port_fail_patterns VALUES (1800, 'error: (array type has incomplete element type|extra qualification .* on member|invalid cast from type .* to type|invalid lvalue in (assignment|decrement|increment|unary)|invalid storage class for function|static declaration of.*follows non-static declaration|two or more data types in declaration specifiers|.* was not declared in this scope)', 'gcc4_error', 0);
INSERT INTO port_fail_patterns VALUES (1900, '(/usr/libexec/elf/ld: cannot find|undefined reference to|cannot open -l.*: No such file)', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (2000, 'install: .*: No such file', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (2100, 'conflicts with installed package', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (2200, ' is already installed - perhaps an older version', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (2300, 'You may wish to ..make deinstall.. and install this port again', 'depend_object', 0);
INSERT INTO port_fail_patterns VALUES (2400, 'core dumped', 'coredump', 0);
INSERT INTO port_fail_patterns VALUES (2500, '.s: Assembler messages:', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (2600, 'Cannot (determine .* target|find the byte order) for this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (2700, '^cc1: bad value.*for -mcpu.*switch', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (2800, '[Ee]rror: [Uu]nknown opcode', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (2900, 'error.*Unsupported architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3000, 'ENDIAN must be defined 0 or 1', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3100, 'failed to merge target-specific data', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3200, '(file not recognized|failed to set dynamic section sizes): File format not recognized', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3300, 'impossible register constraint', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3400, 'inconsistent operand constraints in an .asm', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3500, 'Invalid configuration.*unknown.*machine.*unknown not recognized', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3600, 'invalid lvalue in asm statement', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3700, 'is only for.*, and you are running', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3800, 'not a valid 64 bit base/index expression', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (3900, 'relocation R_X86_64_32.*can not be used when making a shared object', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4000, 'relocation truncated to fit: ', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4100, 'shminit failed: Function not implemented', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4200, 'The target cpu, .*, is not currently supported.', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4300, 'This architecture seems to be neither big endian nor little endian', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4400, 'unknown register name', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4500, 'Unable to correct byte order', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4600, 'Unsupported platform, sorry', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4700, 'won.t run on this architecture', 'arch', 0);
INSERT INTO port_fail_patterns VALUES (4800, 'autoconf(.*): not found', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (4900, 'autoconf(.*): No such file or directory', 'autoconf', 0);
INSERT INTO port_fail_patterns VALUES (5000, 'autoheader: not found', 'autoheader', 0);
INSERT INTO port_fail_patterns VALUES (5100, 'automake(.*): not found', 'automake', 0);
INSERT INTO port_fail_patterns VALUES (5200, 'Checksum mismatch', 'checksum', 0);
INSERT INTO port_fail_patterns VALUES (5300, 'chown:.*[Ii]nvalid argument', 'chown', 0);
INSERT INTO port_fail_patterns VALUES (5400, 'Shared object \\"libc.so.6\\" not found, required by', 'compat6x', 0);
INSERT INTO port_fail_patterns VALUES (5500, 'error in dependency .*, exiting', 'depend_package', 0);
INSERT INTO port_fail_patterns VALUES (5600, 'pkg_(add|create):.*(can.t find enough temporary space|projected size of .* exceeds available free space)', 'disk_full', 0);
INSERT INTO port_fail_patterns VALUES (5700, '(Can.t|unable to) open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (5800, 'Cannot open /dev/tty for read', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (5900, 'RuntimeError: cannot open display', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (6000, 'You must run this program under the X-Window System', 'DISPLAY', 0);
INSERT INTO port_fail_patterns VALUES (6100, '(No checksum recorded for|(Maybe|Either) .* is out of date, or)', 'distinfo_update', 0);
INSERT INTO port_fail_patterns VALUES (6200, 'Member name contains .\\.\\./', 'fetch', 0);
INSERT INTO port_fail_patterns VALUES (6300, 'pnohang: killing make checksum', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (6400, 'fetch: transfer timed out', 'fetch_timeout', 0);
INSERT INTO port_fail_patterns VALUES (6500, 'See <URL:http://gcc.gnu.org/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (6600, 'See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.', 'gcc_bug', 0);
INSERT INTO port_fail_patterns VALUES (6700, 'Run-time system build failed for some reason', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (6800, 'tar: Error opening archive: Failed to open.*No such file or directory', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (6900, 'cc: .*libintl.*: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7000, 'cc: ndbm\\.so: No such file or directory', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7100, 'error: The X11 shared library could not be loaded', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7200, 'libtool: link: cannot find the library', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7300, 'relocation against dynamic symbol', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7400, 'Shared object.*not found, required by', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (7500, 'Could not create Makefile', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (7600, 'make.*(cannot open [Mm]akefile|don.t know how to make|fatal errors encountered|No rule to make target|built-in)(?!\\s*regression-test.continuing)', 'makefile', 0);
INSERT INTO port_fail_patterns VALUES (7700, '/usr/.*/man/.*: No such file or directory', 'manpage', 0);
INSERT INTO port_fail_patterns VALUES (7800, 'out of .* hunks .*--saving rejects to', 'patch', 0);
INSERT INTO port_fail_patterns VALUES (7900, '/usr/local/bin/(perl|perl5.6.1):.*(not found|No such file or directory)', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (8000, 'perl(.*): Perl is not installed, try .pkg_add -r perl.', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (8100, 'cp:.*site_perl: No such file or directory', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (8200, 'Perl .* required--this is only version', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (8300, 'BEGIN failed--compilation aborted at ..Makefile.PL line', 'perl', 0);
INSERT INTO port_fail_patterns VALUES (8400, 'Abort trap', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (8500, 'Bus error', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (8600, 'Signal 1[01]', 'process_failed', 0);
INSERT INTO port_fail_patterns VALUES (8700, 'python: not found', 'python', 0);
INSERT INTO port_fail_patterns VALUES (8800, 'USER   PID  PPID  PGID JOBC STAT  TT       TIME COMMAND', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (8900, 'pnohang: killing make package', 'runaway_process', 0);
INSERT INTO port_fail_patterns VALUES (9000, 'Segmentation fault', 'segfault', 0);
INSERT INTO port_fail_patterns VALUES (9100, 'initializer element is not constant', 'stdio', 0);
INSERT INTO port_fail_patterns VALUES (9200, 'structure has no member named', 'struct_changes', 0);
INSERT INTO port_fail_patterns VALUES (9300, 'shminit failed: Permission denied', 'sysvipc', 0);
INSERT INTO port_fail_patterns VALUES (9400, 'cannot find -lc_r', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (9500, 'checking for.*lc_r\\.\\.\\. no', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (9600, ': The -pthread option is deprecated', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (9700, 'Error: pthreads are required to build this package', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (9800, 'Please install/update your POSIX threads (pthreads) library', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (9900, 'requires.*thread support', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (10000, '/usr/bin/ld: cannot find -lpthread', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (10100, '/usr/bin/ld: cannot find -lXThrStub', 'threads', 0);
INSERT INTO port_fail_patterns VALUES (10200, '<varargs.h> is obsolete with this version of GCC', 'varargs', 0);
INSERT INTO port_fail_patterns VALUES (10300, 'tar: Error exit delayed from previous errors', 'install_error', 0);
INSERT INTO port_fail_patterns VALUES (10400, 'Cannot stat: ', 'configure_error', 0);
INSERT INTO port_fail_patterns VALUES (10500, '/usr/bin/ld: cannot find -l', 'linker_error', 0);
INSERT INTO port_fail_patterns VALUES (10600, 'cd: can.t cd to', 'NFS', 0);
INSERT INTO port_fail_patterns VALUES (10700, 'pkg_create: make_dist: tar command failed with code', 'PLIST', 0);
INSERT INTO port_fail_patterns VALUES (2147483647, '.*', '???', 0);
